Package ru.bitel.bgbilling.modules.inet.server.event

# Class InetServModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.modules.inet.server.event.InetServModifiedEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class InetServModifiedEvent
    extends ru.bitel.bgbilling.kernel.event.common.Event

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `InetServModifiedEvent()` |
  `` | `InetServModifiedEvent​(int moduleId, int contractId, int userId, InetServ oldInetServ, InetServ newInetServ, java.util.List<InetServOption> newInetServOptionList)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `InetServ` | `getNewInetServ()` |
  `java.util.List<InetServOption>` | `getNewInetServOptionList()` | Список опций, привязанных к сервису, null означает, что список не изменялся.
  `InetServ` | `getOldInetServ()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetServModifiedEvent

    protected InetServModifiedEvent()

  - ### InetServModifiedEvent

    public InetServModifiedEvent​(int moduleId, int contractId, int userId, InetServ oldInetServ, InetServ newInetServ, java.util.List<InetServOption> newInetServOptionList)

- ## Method Details

  - ### getOldInetServ

    public InetServ getOldInetServ()

  - ### getNewInetServ

    public InetServ getNewInetServ()

  - ### getNewInetServOptionList

    public java.util.List<InetServOption> getNewInetServOptionList()
    Список опций, привязанных к сервису, null означает, что список не изменялся.
    Returns: